Bug 1442164 - OSP refresh fail with Validation failed: Name can't be blank
Summary: OSP refresh fail with Validation failed: Name can't be blank
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Tzu-Mainn Chen
QA Contact: Oleksandr Kolisnyk
URL:
Whiteboard:
Depends On: 1438100
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 17:12 UTC by Satoe Imaishi
Modified: 2020-06-11 13:36 UTC (History)
6 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438100
Environment:
Last Closed: 2017-06-28 14:59:55 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-17 20:55:51 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f73ac9d5b04e89e4da6d384a56dc3d4da91b736b

commit f73ac9d5b04e89e4da6d384a56dc3d4da91b736b
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Apr 10 10:58:53 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 16:50:23 2017 -0400

    Merge pull request #3 from tzumainn/image-with-no-name-refresh
    
    Set image name to id if name is nil in Glance
    (cherry picked from commit afd9f457eabbd65d0c8ac61e5037425853f777d4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442164

 app/models/manageiq/providers/openstack/refresh_parser_common/images.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Oleksandr Kolisnyk 2017-06-16 00:13:15 UTC
Added image with no name on OSP, refresh was successful.
Verified.

Comment 5 errata-xmlrpc 2017-06-28 14:59:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.